import type { PropertyLineProps } from "./propertyLine.js";
import type { FunctionComponent } from "react";
import type { CheckboxProps } from "../primitives/checkbox.js";
/**
 * Wraps a checkbox in a property line
 * @param props - PropertyLineProps and CheckboxProps
 * @returns property-line wrapped checkbox
 */
export declare const CheckboxPropertyLine: FunctionComponent<PropertyLineProps & CheckboxProps>;
