import type { FunctionComponent } from "react";
import type { PropertyLineProps } from "./propertyLine.js";
import type { Color3 } from "@babylonjs/core/Maths/math.color.js";
import { Color4 } from "@babylonjs/core/Maths/math.color.js";
import type { ColorPickerProps } from "../primitives/colorPicker.js";
export type ColorPropertyLineProps = ColorPickerProps<Color3 | Color4> & PropertyLineProps;
export declare const Color3PropertyLine: FunctionComponent<ColorPickerProps<Color3> & PropertyLineProps>;
export declare const Color4PropertyLine: FunctionComponent<ColorPickerProps<Color4> & PropertyLineProps>;
