import { jsx as _jsx } from "react/jsx-runtime";
import { PropertyLine } from "./propertyLine.js";
import { SyncedSliderInput } from "../primitives/syncedSlider.js";
/**
 * Renders a simple wrapper around the SyncedSliderInput
 * @param props
 * @returns
 */
export const SyncedSliderLine = (props) => {
    const { label, description, ...sliderProps } = props;
    return (_jsx(PropertyLine, { label: label, description: description, children: _jsx(SyncedSliderInput, { ...sliderProps }) }));
};
//# sourceMappingURL=syncedSliderLine.js.map