import type { PropertyLineProps } from "./propertyLine.js";
import type { FunctionComponent } from "react";
type TextProps = {
    value: string;
    tooltip?: string;
};
/**
 * Wraps text in a property line
 * @param props - PropertyLineProps and TextProps
 * @returns property-line wrapped text
 */
export declare const TextPropertyLine: FunctionComponent<PropertyLineProps & TextProps>;
export {};
