import type { FunctionComponent } from "react";
export type ButtonLineProps = {
    label: string;
    onClick: () => void;
    disabled?: boolean;
    icon?: string;
    title?: string;
};
/**
 * Wraps a button with a label in a line container
 * @param props Button props plus a label
 * @returns A button inside a line
 */
export declare const ButtonLine: FunctionComponent<ButtonLineProps>;
